Bug 614356 - cluster.rng does not validate the cman_label attribute
cluster.rng does not validate the cman_label attribute
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: cluster (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 615509
  Show dependency treegraph
 
Reported: 2010-07-14 04:59 EDT by Federico Simoncelli
Modified: 2010-09-30 16:27 EDT (History)
8 users (show)

See Also:
Fixed In Version: cluster-3.0.14-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 615509 (view as bug list)
Environment:
Last Closed: 2010-09-30 16:27:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Federico Simoncelli 2010-07-14 04:59:31 EDT
Description of problem:
According to qdisk manual (and qdiskd source code) it is possible to configure the cman_label attribute for the quorumd element:

cman_label="mylabel"
  This overrides the label advertised to CMAN if present.

Although it can not be validated against cluster.rng:

# grep quorumd cluster.conf
<quorumd cman_label="mylabel" interval="1" label="mylabel" tko="4" votes="1"/>

# xmllint -relaxng /usr/share/cluster/cluster.rng cluster.conf > /dev/null 
Relax-NG validity error : Extra element quorumd in interleave
/etc/cluster/cluster.conf:5: element quorumd: Relax-NG validity error : Element cluster failed to validate content
/etc/cluster/cluster.conf fails to validate

Version-Release number of selected component (if applicable):
# rpm -qf /usr/share/cluster/cluster.rng
cman-3.0.12-2.fc13.x86_64

Steps to Reproduce:
1. configure cluster.conf with quorum device and the cman_label attribute
2. update the cluster configuration
  
Actual results:
cluster.conf validation fails

Expected results:
cluster.conf validation should succeed and be updated

Additional info:
This patch should fix the issue:

--- /usr/share/cluster/cluster.rng.orig	2010-05-26 06:51:44.000000000 +0200
+++ /usr/share/cluster/cluster.rng	2010-07-14 10:15:07.000000000 +0200
@@ -280,6 +280,9 @@
         where the quorum device name differs among nodes." rha:sample=""/>
    </optional>
    <optional>
+    <attribute name="cman_label" rha:description="" rha:sample=""/>
+   </optional>
+   <optional>
     <attribute name="status_file" rha:description="" rha:sample=""/>
    </optional>
    <optional>

Note You need to log in before you can comment on or make changes to this bug.